/* --------------------------------------------------------------------------------------------
 * Copyright (c) TypeFox and others. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_jsonrpc_1 = require("vscode-jsonrpc");
/**
 * Request to request or resolve the call hierarchy at a given text document position.
 *
 * The request's parameter for the first request is of type [CallHierarchyParams](#CallHierarchyParams). The request's
 * parameter for the following requests is of type [ResolveCallHierarchyItemParams](#ResolveCallHierarchyItemParams).
 *
 * The first request returns an item for the given cursor position.
 *
 * The response is of type [CallHierarchyItem](#CallHierarchyItem) or a Thenable that resolves to such.
 */
var CallHierarchyRequest;
(function (CallHierarchyRequest) {
    CallHierarchyRequest.type = new vscode_jsonrpc_1.RequestType('textDocument/callHierarchy');
})(CallHierarchyRequest = exports.CallHierarchyRequest || (exports.CallHierarchyRequest = {}));
//# sourceMappingURL=lsp-protocol.callHierarchy.proposed.js.map